<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}



if (TYPO3_MODE === 'BE') {

	/**
	* Registers a Backend Module
	*/
	Tx_Extbase_Utility_Extension::registerModule(
		$_EXTKEY,
		'user',	 // Make module a submodule of 'user'
		'bnbbackup',	// Submodule key
		'',						// Position
		array(
			'Bnbbackup' => 'list',
		),
		array(
			'access' => 'user,group',
			'icon'   => 'EXT:' . $_EXTKEY . '/ext_icon.gif',
			'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_bnbbackup.xml',
		)
	);

}


t3lib_extMgm::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'bnb Backup');


t3lib_extMgm::addLLrefForTCAdescr('tx_bnbbackupext_domain_model_bnbbackup', 'EXT:bnbbackupext/Resources/Private/Language/locallang_csh_tx_bnbbackupext_domain_model_bnbbackup.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_bnbbackupext_domain_model_bnbbackup');
$TCA['tx_bnbbackupext_domain_model_bnbbackup'] = array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:bnbbackupext/Resources/Private/Language/locallang_db.xml:tx_bnbbackupext_domain_model_bnbbackup',
		'label' => 'uid',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'dividers2tabs' => TRUE,
		'versioningWS' => 2,
		'versioning_followPages' => TRUE,
		'origUid' => 't3_origuid',
		'languageField' => 'sys_language_uid',
		'transOrigPointerField' => 'l10n_parent',
		'transOrigDiffSourceField' => 'l10n_diffsource',
		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Bnbbackup.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_bnbbackupext_domain_model_bnbbackup.gif'
	),
);

?>